### Function

# Gtk.CustomAllocateFunc

#### Declaration

    void
    CustomAllocateFunc (
      GtkWidget* widget,
      int width,
      int height,
      int baseline
    )

#### Description [src]

A function to be used by `GtkCustomLayout` to allocate a widget.

#### Parameters

`widget` | `GtkWidget`
| the widget to allocate
| Ownership is not transferred to the callee
`width` | `int`
| the new width of the widget
`height` | `int`
| the new height of the widget
`baseline` | `int`
| the new baseline of the widget, or -1